Plot HomeDocumentation

List Collections

Retrieves a paginated list of collections in the workspace

GET
/v1/collections/list

Retrieves a paginated list of collections in the workspace

Query Parameters

includeTotal?string

Include total count in response. Consider omitting for subsequent page loads to improve performance.

Value in"true" | "false"
expand?|||array<>

Expansion fields: "all" (full enrichment, default), "none" (IDs only), or comma-separated/repeated fields (projects)

Default"all"
cursor?string

Cursor for pagination

offset?|

Offset for pagination

Range0 <= value
limit?integer

Number of results to return (max 100)

Default50
Range1 <= value <= 100

Response Body

application/json

curl -X GET "https://example.com/v1/collections/list"
{  "data": [    {      "id": "string",      "name": "string",      "slug": "string",      "description": "string",      "icon": "string",      "color": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "projectIds": [        "string"      ]    }  ],  "nextCursor": "string",  "hasMore": true,  "total": 0}